### Signal

# Gtk TreeView::test-collapse-row

#### Declaration

    gboolean
    test_collapse_row (
      GtkTreeView* self,
      GtkTreeIter* iter,
      GtkTreePath* path,
      gpointer user_data
    )

#### Description [src]

The given row is about to be collapsed (hide its children nodes). Use this signal if you need to control the collapsibility of individual rows.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The tree iter of the row to collapse.

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  A tree path that points to the row.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` to allow collapsing, `TRUE` to reject.